Subject: Re: bug#11416: 24.1.50; Abort in Fadd_text_properties on Windows

From: Christoph Scholtes <[email-masked]>
Date: Sun, 06 May 2012 16:21:57 -0600

Eli Zaretskii <[email-masked]> writes:

 > So it's a buffer.  "xbuffer" will show more details (but I'm not sure
 > this is worth pursuing, until we establish where exactly does Emacs
 > abort and why).

(gdb) p object
$8 = 283151365
(gdb) xtype
Lisp_Vectorlike
PVEC_BUFFER
(gdb) xbuffer
$9 = (struct buffer *) 0x10e08c00
(unsigned char *) 0x110305d8 "CAPTURE-refile.org"
(gdb)

That's the buffer that is created by org-capture and that I was working in.

 > Could it be that the abort was caused by compiling/linking
 > incompatible files?

No, the crash happened last night (before midnight), so it was the
previous night's build. The build process was restarted at midnight but
failed since the instance was still running with gdb attached.

 > I suggest upgrading to the latest v7.4 (available from MinGW).

Cool. Will do.

 > Sounds like this is the way to go.  Start Emacs from GDB, while you
 > are at it, so that "pp" etc. works.

OK.